<div *ngIf="hero">

    <h2>{{hero.name | uppercase}} Details</h2>
    <div><span>Health: </span>{{hero.healthpoints}}</div>
    <div><span>Strength: </span>{{hero.strength}}</div>
    <div>
        <label>name:
            <input [(ngModel)]="hero.name" placeholder="name"/>
        </label>
    </div>
    <button style="margin-right: 10px" (click)="save()">Save</button>
    <button (click)="goBack()">Go back</button>
        
</div>
